do
--create an instance of the IADS
RedIADS = SkynetIADS:create(RedIADS)

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
---local iadsDebug = RedIADS:getDebugSettings()
---iadsDebug.IADSStatus = true
---iadsDebug.samWentDark = true
---iadsDebug.contacts = true
---iadsDebug.radarWentLive = true
---iadsDebug.noWorkingCommmandCenter = true
---iadsDebug.ewRadarNoConnection = true
---iadsDebug.samNoConnection = true
---iadsDebug.jammerProbability = true
---iadsDebug.addedEWRadar = true
---iadsDebug.hasNoPower = true
---iadsDebug.harmDefence = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
RedIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
RedIADS:addSAMSitesByPrefix('RSAM')

---Red Command---------------------------------------------------------------------------------------------------------------

local commandCenter = StaticObject.getByName("Red-Command-Center-1")
local comPowerSource = StaticObject.getByName("Red-Command-Power-1")
local comConnectionNode = StaticObject.getByName("Red-Command-Node-1")
RedIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource):addConnectionNode(comConnectionNode)

---Fixed SAMS---------------------------------------------------------------------------------------------------------------

RedIADS:getSAMSiteByGroupName('RSAM-SA-2-1'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-2'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-3'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-4'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

RedIADS:getSAMSiteByGroupName('RSAM-SA-3-1'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

RedIADS:getSAMSiteByGroupName('RSAM-SA-5-1'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-5-2'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)


---Mobile SAMS---------------------------------------------------------------------------------------------------------------


---EWRs----------------------------------------------------------------------------------------------------------------------

RedIADS:getEarlyWarningRadars()

RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-1')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-2')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-3')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-4')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-5')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-6')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-7')

-----------------------------------------------------------------------------------------------------------------------------

RedIADS:addRadioMenu()

RedIADS:activate()

--BLUE SIDE-----------------------------------------------------------------------------------------------------------------------------

--create an instance of the IADS
BlueIADS = SkynetIADS:create(BlueIADS)

--add all units with unit name beginning with 'EW' to the IADS:
BlueIADS:addEarlyWarningRadarsByPrefix('BEW')

--add all groups begining with group name 'SAM' to the IADS:
BlueIADS:addSAMSitesByPrefix('BSAM')

---Blue Command---------------------------------------------------------------------------------------------------------------

local commandCenter = StaticObject.getByName("Blue-Command-Center-1")
local comPowerSource = StaticObject.getByName("Blue-Command-Power-1")
local comConnectionNode = StaticObject.getByName("Blue-Command-Node-1")
BlueIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource):addConnectionNode(comConnectionNode)

---Fixed SAMS---------------------------------------------------------------------------------------------------------------

BlueIADS:getSAMSiteByGroupName('BSAM-Patriot-1'):setActAsEW(false):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

BlueIADS:getSAMSiteByGroupName('BSAM-Hawk-1'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

---Mobile SAMS---------------------------------------------------------------------------------------------------------------

---EWRs----------------------------------------------------------------------------------------------------------------------

BlueIADS:getEarlyWarningRadars()

BlueIADS:getEarlyWarningRadarByUnitName('BEW-EWR-1')
BlueIADS:getEarlyWarningRadarByUnitName('BEW-EWR-2')

---Jammers----------------------------------------------------------------------------------------------------------------------

local jammer = SkynetIADSJammer:create(Unit.getByName('EA-6 Prowler-1'), blueIADS)
local jammer = SkynetIADSJammer:create(Unit.getByName('EA-6 Prowler-2'), blueIADS)

jammer:masterArmOn()jammer:addRadioMenu()

BlueIADS:addRadioMenu()

BlueIADS:activate()

end
